HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetProducts

Contains the different functions to run the operation getProducts

  • 5 types
  • 4 values
valuegetProducts
  1. :: MonadHTTP m
  2. => GetProductsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetProductsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/products

<p>Returns a list of your products. The products are returned sorted by creation date, with the most recently created products appearing first.</p>

Defines the object schema located at paths./v1/products.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/products.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/products.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Only return products that were created during the given date interval.

Instances4Eq, Show, FromJSON, ToJSON
datadata GetProductsResponse
#

Represents a response of the operation getProducts.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetProductsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/products.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON